curl --request GET \
--url https://api.komerza.com/stores/{storeId}/orders \
--header 'Authorization: Bearer <token>'{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"productName": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantName": "<string>",
"amount": 123,
"lineTotal": 123,
"additionalFeePercentage": 123,
"additionalFeeAmount": 123,
"quantity": 123
}
],
"gateway": "<string>",
"customerEmail": "<string>",
"status": "<string>",
"currencyCode": "<string>",
"amountPaid": 123,
"amount": 123,
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"netDecrease": 123,
"code": "<string>",
"couponId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentageDecrease": 123
}
}
]
}Gets orders in the specified store and optionally filters by the given criteria.
Requires the stores.orders.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/orders \
--header 'Authorization: Bearer <token>'{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"productName": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantName": "<string>",
"amount": 123,
"lineTotal": 123,
"additionalFeePercentage": 123,
"additionalFeeAmount": 123,
"quantity": 123
}
],
"gateway": "<string>",
"customerEmail": "<string>",
"status": "<string>",
"currencyCode": "<string>",
"amountPaid": 123,
"amount": 123,
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"netDecrease": 123,
"code": "<string>",
"couponId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentageDecrease": 123
}
}
]
}| Field | Type | Description |
|---|---|---|
dateFrom | datetime | Filter orders created on or after this date |
dateTo | datetime | Filter orders created on or before this date |
status | string | Filter by order status. See Order Statuses |
gateway | string | Filter by payment gateway. See Payment Methods |
email | string | Filter by customer email address |
# Orders from last 30 days with "pending" status
GET /api/stores/{storeId}/orders?filters=dateFrom>=2025-10-28,status==pending
# Orders paid via Stripe, sorted by newest first
GET /api/stores/{storeId}/orders?filters=gateway==stripe&sorts=-dateFrom
Your API key goes here
The ID of the store to search orders in.
Gets or sets the starting date for filtering orders.
Represents the end date/time filter for an order.
Gets or sets the status of the order for filtering.
Gets or sets the gateway of the order for filtering.
Represents an email address to be used as a filter criteria.
1 <= x <= 21474836471 <= x <= 2147483647The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.
Was this page helpful?